cascading.flow.stream.duct

## Class Gate<Incoming,Outgoing>

- java.lang.Object
- - cascading.flow.stream.duct.Duct<Incoming,Outgoing>
  - - cascading.flow.stream.duct.Gate<Incoming,Outgoing>

- Direct Known Subclasses:
    SpliceGate

      public abstract class Gate<Incoming,Outgoing>
      extends Duct<Incoming,Outgoing>

  Denotes there will be multiple input paths into this duct

- - ### Field Summary

    - ### Fields inherited from class cascading.flow.stream.duct.Duct

      `next, ordinal`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Gate()`

  - ### Method Summary

    - ### Methods inherited from class cascading.flow.stream.duct.Duct

      `bind, cleanup, complete, getNext, getNextFor, initialize, prepare, receive, receiveFirst, start, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Gate

          public Gate()

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.